spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
tlyy::parser::basic_symbol< Base > Struct Template Reference

`#include <spot/parsetl/parsetl.hh>`

Inheritance diagram for tlyy::parser::basic_symbol< Base >:
Collaboration diagram for tlyy::parser::basic_symbol< Base >:

## Public Types
typedef Base | super_type
| Alias to Base. More...

## Public Member Functions
| basic_symbol ()
| Default constructor. More...
| basic_symbol (const basic_symbol &other)
| Copy constructor. More...
| basic_symbol (typename Base::kind_type t, const location_type &l)
| Constructor for valueless symbols. More...
| basic_symbol (typename Base::kind_type t, const semantic_type &v, const location_type &l)
| Constructor for symbols with semantic value. More...
void | move (basic_symbol &s)
| Destructive move, s is emptied into this. More...

## Public Attributes
semantic_type | value
| The semantic value. More...
location_type | location
| The location. More...

## Detailed Description

### template<typename Base>
struct tlyy::parser::basic_symbol< Base >

A complete symbol.

Expects its Base type to provide access to the symbol type via type_get().

Provide access to semantic value and location.

## Member Typedef Documentation

template<typename Base>

typedef Base tlyy::parser::basic_symbol< Base >::super_type

Alias to Base.

## Constructor & Destructor Documentation

template<typename Base>

tlyy::parser::basic_symbol< Base >::basic_symbol | ( |  | ) |

Default constructor.

template<typename Base>

tlyy::parser::basic_symbol< Base >::basic_symbol | ( | const basic_symbol< Base > & | other | ) |

Copy constructor.

template<typename Base>

tlyy::parser::basic_symbol< Base >::basic_symbol | ( | typename Base::kind_type | t,
|  | const location_type & | l
| ) |  |

Constructor for valueless symbols.

template<typename Base>

tlyy::parser::basic_symbol< Base >::basic_symbol | ( | typename Base::kind_type | t,
|  | const semantic_type & | v,
|  | const location_type & | l
| ) |  |

Constructor for symbols with semantic value.

## Member Function Documentation

template<typename Base>

void tlyy::parser::basic_symbol< Base >::move | ( | basic_symbol< Base > & | s | ) |

Destructive move, s is emptied into this.

## Member Data Documentation

template<typename Base>

location_type tlyy::parser::basic_symbol< Base >::location

The location.

template<typename Base>

semantic_type tlyy::parser::basic_symbol< Base >::value

The semantic value.

The documentation for this struct was generated from the following file:

- spot/parsetl/parsetl.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.